Subject: Re: Interested in helping open source friends on HP-UX?

From: Michael J Gruber <[email-masked]>
Date: Tue, 03 Mar 2015 15:55:48 +0100

H.Merijn Brand venit, vidit, dixit 19.02.2015 19:56:
> On Thu, 19 Feb 2015 14:21:11 +0100, Michael J Gruber
> <[email-masked]> wrote:
> 
>> Jeff, you got it wrong. You should do the hard part and leave the easy
>> part to us!
>>
>> Thanks anyways, I'll add this to my HP_UX branch.
> 
> I did not mention this in earlier mails. When using the HP C-ANSI-C
> compiler, MAX_INT is not set.
> 
> I had to add
> --8<---
> #ifndef   SIZE_MAX
> #  define SIZE_MAX              (18446744073709551615UL)
> /* define SIZE_MAX              (4294967295U) */
> #  endif
> -->8---
> 
> to these files
> 
> sha1_file.c
> utf8.c
> walker.c
> wrapper.c
> 
> And yes, that could be dynamic and probably be in another header file
> 

In compat/regex/regex_internal.h we have

/* For loser systems without the definition.  */
#ifndef SIZE_MAX
# define SIZE_MAX ((size_t) -1)
#endif

Does this work in your environment?

[Trying to not let this fall into oblivion...]

Michael